# BytePlusRTC SDK for Flutter

> This Flutter plugin is a wrapper for [BytePlusRTC SDK](https://www.byteplus.com/en/product/rtc).

## Usage

To use this plugin, add `byteplus_rtc` as a dependency in your `pubspec.yaml` file.

### Device Permission

BytePlusRTC SDK requires `camera` and `microphone` permission to start video call.

#### iOS

Open the `Info.plist` and add:

- `Privacy - Microphone Usage Description`, and add some description into the `Value` column.
- `Privacy - Camera Usage Description`, and add some description into the `Value` column.

Your application can still run the voice call when it is switched to the background if the background mode is enabled. Select the app target in Xcode, click the **Capabilities** tab, enable **Background Modes**, and check **Audio, AirPlay, and Picture in Picture**.

Modify `Podfile` to set BytePlusRTC source

```xml
source 'https://github.com/byteplus-sdk/byteplus-specs.git'
```

#### Android

BytePlusRTC has declared the necessary permissions, which will be merged into the `AndroidManifest.xml`.

## License

This project is licensed under the [MIT license](LICENSE).
