// Copyright 2022 BytePlus Pte. Ltd.
// SPDX-License-Identifier: MIT

import 'bytertc_event_define.dart';

/// Face detection observer
class RTCFaceDetectionObserver {
  /// Callback of the face detection result with Effect SDK.
  ///
  /// After calling [RTCVideo.registerFaceDetectionObserver] and using the Effect SDK integrated in the RTC SDK, you will receive this callback.
  OnFaceDetectResultType? onFaceDetectResult;

  RTCFaceDetectionObserver({
    this.onFaceDetectResult,
  });
}
